net.corda.flows

## Class CashExitFlow

- FlowLogic
- - AbstractCashFlow
  - - net.corda.flows.CashExitFlow

-     public class CashExitFlow
      extends AbstractCashFlow

  Initiates a flow that produces an cash exit transaction.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CashExitFlow.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CashExitFlow.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CashExitFlow(Amount<java.util.Currency> amount, OpaqueBytes issueRef, ProgressTracker progressTracker)` Initiates a flow that produces an cash exit transaction.
    `CashExitFlow(Amount<java.util.Currency> amount, OpaqueBytes issueRef)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Amount<java.util.Currency>` | `getAmount()`
    `OpaqueBytes` | `getIssueRef()`

    - ### Methods inherited from class net.corda.flows.AbstractCashFlow

      `getProgressTracker`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Field Detail

    - #### Companion

          public static CashExitFlow.Companion Companion

  - ### Constructor Detail

    - #### CashExitFlow

          public CashExitFlow(Amount<java.util.Currency> amount,
                              OpaqueBytes issueRef,
                              ProgressTracker progressTracker)

      Initiates a flow that produces an cash exit transaction.

      Parameters:
        `amount` - the amount of a currency to remove from the ledger.

    - #### CashExitFlow

          public CashExitFlow(Amount<java.util.Currency> amount,
                              OpaqueBytes issueRef)

  - ### Method Detail

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getAmount

          public Amount<java.util.Currency> getAmount()

    - #### getIssueRef

          public OpaqueBytes getIssueRef()